Loading...
Searching...
No Matches
BALL::VIEW::HotkeyTable Class Reference
Visualisation » QT Dialogs

`#include <BALL/VIEW/WIDGETS/hotkeyTable.h>`

Inheritance diagram for BALL::VIEW::HotkeyTable:

## Public Types

enum | Modifier { NONE = 0 , SHIFT }

## Public Slots

virtual void | addEmptyRow ()
virtual void | removeSelection ()
virtual void | appendHotkey (const String &modif, const String &F_key, const String &command, String comment="")

## Public Member Functions

| HotkeyTable (QWidget *parent=0, const char *name="PythonSettings")
virtual bool | getValue (String &value) const
| Overload this in derived classes!
virtual bool | setValue (const String &value)
| Overload this in derived classes!
std::list< Hotkey > | getContent () const
void | setContent (const std::list< Hotkey > &hotkeys)
Public Member Functions inherited from BALL::VIEW::PreferencesEntry::ExtendedPreferencesObject
| ExtendedPreferencesObject ()
virtual | ~ExtendedPreferencesObject ()

## Detailed Description

Class for storing Python hotkeys in a GUI table

Definition at line 47 of file hotkeyTable.h.

## Member Enumeration Documentation

## Modifier

enum BALL::VIEW::HotkeyTable::Modifier

Enumerator
NONE |
SHIFT |

Definition at line 56 of file hotkeyTable.h.

## Constructor & Destructor Documentation

## HotkeyTable()

BALL::VIEW::HotkeyTable::HotkeyTable | ( | QWidget * | parent = 0,
|  | const char * | name = "PythonSettings" )

## Member Function Documentation

## addEmptyRow

virtual void BALL::VIEW::HotkeyTable::addEmptyRow | ( |  | ) |

virtual slot

## appendHotkey

virtual void BALL::VIEW::HotkeyTable::appendHotkey | ( | const String & | modif,
|  | const String & | F_key,
|  | const String & | command,
|  | String | comment = "" )

virtual slot

Append a hotkey F_key: 1-12 for the 12 F-keys

## getContent()

std::list< Hotkey > BALL::VIEW::HotkeyTable::getContent | ( |  | ) | const

## getValue()

virtual bool BALL::VIEW::HotkeyTable::getValue | ( | String & |  | ) | const

virtual

Overload this in derived classes!

Implements BALL::VIEW::PreferencesEntry::ExtendedPreferencesObject.

## removeSelection

virtual void BALL::VIEW::HotkeyTable::removeSelection | ( |  | ) |

virtual slot

## setContent()

void BALL::VIEW::HotkeyTable::setContent | ( | const std::list< Hotkey > & | hotkeys | ) |

## setValue()

virtual bool BALL::VIEW::HotkeyTable::setValue | ( | const String & |  | ) |

virtual

Overload this in derived classes!

Implements BALL::VIEW::PreferencesEntry::ExtendedPreferencesObject.